<?php

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
    exit( 'Direct script access denied.' );
}


/**
 * MetaBox
 *
 * @param array $sections An array of our sections.
 * @return array
 */
function sebian_metaboxes_section_fullpage( $sections )
{
    $sections['fullpage'] = array(
        'name'      => 'fullpage',
        'title'     => esc_html__('Full Page JS', 'sebian'),
        'icon'      => 'laicon-anchor',
        'fields'    => array(
            array(
                'id'            => 'enable_fp',
                'type'          => 'radio',
                'default'       => 'no',
                'class'         => 'la-radio-style',
                'title'         => esc_html__('Enable Full Page', 'sebian'),
                'desc'          => esc_html__('This option just apply for page layout 1 column', 'sebian'),
                'options'       => Sebian_Options::get_config_radio_opts(false)
            ),
            array(
                'id'            => 'fp_section_nav',
                'type'          => 'fieldset',
                'title'         => esc_html__('Navigation', 'sebian'),
                'dependency'    => array( 'enable_fp_yes', '==', 'true' ),
                'wrap_class'    => 'la-fieldset-toggle',
                'un_array'      => true,
                'fields'        => array(
                    array(
                        'id'            => 'fp_navigation',
                        'type'          => 'select',
                        'title'         => esc_html__('Section Navigation', 'sebian'),
                        'desc'          => esc_html__('This parameter determines the position of navigation bar.', 'sebian'),
                        'default'       => 'off',
                        'options'       => array(
                            'off' => esc_html__('Off', 'sebian'),
                            'left' => esc_html__('Left', 'sebian'),
                            'right' => esc_html__('Right', 'sebian')
                        )
                    ),
                    array(
                        'id'            => 'fp_sectionnavigationstyle',
                        'type'          => 'select',
                        'title'         => esc_html__('Section Navigation Style', 'sebian'),
                        'desc'          => esc_html__('This parameter determines section navigation style.', 'sebian'),
                        'default'       => 'default',
                        'options'       => array(
                            '1'               => esc_html__('Style 01', 'sebian'),
                            '2'               => esc_html__('Style 02', 'sebian')
                        ),
                        'dependency'    => array( 'fp_navigation', '!=', 'off' )
                    ),
                    /*
                    array(
                        'id'            => 'fp_showactivetooltip',
                        'type'          => 'radio',
                        'default'       => 'no',
                        'class'         => 'la-radio-style',
                        'title'         => esc_html__('Show Active Tooltip', 'sebian'),
                        'desc'          => esc_html__('This parameter shows a persistent tooltip for the actively viewed section in the vertical navigation.', 'sebian'),
                        'options'       => Sebian_Options::get_config_radio_opts(false),
                        'dependency'    => array( 'fp_navigation', '!=', 'off' )
                    ),
                    array(
                        'id'            => 'fp_bigsectionnavigation',
                        'type'          => 'radio',
                        'default'       => 'no',
                        'class'         => 'la-radio-style',
                        'title'         => esc_html__('Bigger Navigation', 'sebian'),
                        'desc'          => esc_html__('This parameter sets bigger navigation bullets.', 'sebian'),
                        'options'       => Sebian_Options::get_config_radio_opts(false),
                        'dependency'    => array( 'fp_navigation', '!=', 'off' )
                    ),
                    */
                    array(
                        'id'            => 'fp_slidenavigation',
                        'type'          => 'select',
                        'title'         => esc_html__('Slides Navigation', 'sebian'),
                        'desc'          => esc_html__('This parameter determines the position of landscape navigation bar for sliders.', 'sebian'),
                        'default'       => 'off',
                        'options'       => array(
                            'off'   => esc_html__('Off', 'sebian'),
                            'left'  => esc_html__('Top', 'sebian'),
                            'bottom'   => esc_html__('Bottom', 'sebian')
                        )
                    ),
                    array(
                        'id'            => 'fp_slidenavigationstyle',
                        'type'          => 'select',
                        'title'         => esc_html__('Slide Navigation Style', 'sebian'),
                        'desc'          => esc_html__('This parameter determines section navigation style.', 'sebian'),
                        'default'       => 'default',
                        'options'       => array(
                            '1'               => esc_html__('Style 01', 'sebian'),
                            '2'               => esc_html__('Style 02', 'sebian')
                        ),
                        'dependency'    => array( 'fp_slidenavigation', '!=', 'off' )
                    ),
                    /*
                    array(
                        'id'            => 'fp_bigslidenavigation',
                        'type'          => 'radio',
                        'default'       => 'no',
                        'class'         => 'la-radio-style',
                        'title'         => esc_html__('Bigger Slide Navigation', 'sebian'),
                        'desc'          => esc_html__('This parameter sets bigger slide navigation bullets .', 'sebian'),
                        'options'       => Sebian_Options::get_config_radio_opts(false),
                        'dependency'    => array( 'fp_slidenavigation', '!=', 'off' )
                    ),
                    array(
                        'id'            => 'fp_controlarrows',
                        'type'          => 'radio',
                        'default'       => 'yes',
                        'class'         => 'la-radio-style',
                        'title'         => esc_html__('Control Arrows', 'sebian'),
                        'desc'          => esc_html__('This parameter determines whether to use control arrows for the slides to move right or left.', 'sebian'),
                        'options'       => Sebian_Options::get_config_radio_opts(false)
                    ),
                    */
                    array(
                        'id'            => 'fp_lockanchors',
                        'type'          => 'radio',
                        'default'       => 'no',
                        'class'         => 'la-radio-style',
                        'title'         => esc_html__('Lock Anchors', 'sebian'),
                        'desc'          => esc_html__('This parameter determines whether anchors in the URL will have any effect.', 'sebian'),
                        'options'       => Sebian_Options::get_config_radio_opts(false)
                    ),
                    array(
                        'id'            => 'fp_animateanchor',
                        'type'          => 'radio',
                        'default'       => 'yes',
                        'class'         => 'la-radio-style',
                        'title'         => esc_html__('Animate Anchor', 'sebian'),
                        'desc'          => esc_html__('This parameter defines whether the load of the site when given anchor (#) will scroll with animation to its destination.', 'sebian'),
                        'options'       => Sebian_Options::get_config_radio_opts(false)
                    ),
                    array(
                        'id'            => 'fp_keyboardscrolling',
                        'type'          => 'radio',
                        'default'       => 'yes',
                        'class'         => 'la-radio-style',
                        'title'         => esc_html__('Keyboard Scrolling', 'sebian'),
                        'desc'          => esc_html__('This parameter defines if the content can be navigated using the keyboard.', 'sebian'),
                        'options'       => Sebian_Options::get_config_radio_opts(false)
                    ),
                    array(
                        'id'            => 'fp_recordhistory',
                        'type'          => 'radio',
                        'default'       => 'yes',
                        'class'         => 'la-radio-style',
                        'title'         => esc_html__('Record History', 'sebian'),
                        'desc'          => esc_html__('This parameter defines whether to push the state of the site to the browsers history, so back button will work on section navigation.', 'sebian'),
                        'options'       => Sebian_Options::get_config_radio_opts(false)
                    )
                ),
            ),
            array(
                'id'            => 'fp_section_scroll',
                'type'          => 'fieldset',
                'title'         => esc_html__('Scrolling', 'sebian'),
                'dependency'    => array( 'enable_fp_yes', '==', 'true' ),
                'wrap_class'    => 'la-fieldset-toggle',
                'un_array'      => true,
                'fields'        => array(
                    array(
                        'id'            => 'fp_autoscrolling',
                        'type'          => 'radio',
                        'default'       => 'yes',
                        'class'         => 'la-radio-style',
                        'title'         => esc_html__('Auto Scrolling', 'sebian'),
                        'desc'          => esc_html__('This parameter defines whether to use the automatic scrolling or the normal one.', 'sebian'),
                        'options'       => Sebian_Options::get_config_radio_opts(false)
                    ),
                    array(
                        'id'            => 'fp_fittosection',
                        'type'          => 'radio',
                        'default'       => 'yes',
                        'class'         => 'la-radio-style',
                        'title'         => esc_html__('Fit To Section', 'sebian'),
                        'desc'          => esc_html__('This parameter determines whether or not to fit sections to the viewport or not.', 'sebian'),
                        'options'       => Sebian_Options::get_config_radio_opts(false)
                    ),
                    array(
                        'id'            => 'fp_fittosectiondelay',
                        'type'          => 'number',
                        'default'       => 1000,
                        'title'         => esc_html__('Fit To Section Delay', 'sebian'),
                        'desc'          => esc_html__('The delay in miliseconds for section fitting.', 'sebian'),
                        'dependency'    => array( 'fp_fittosection_yes', '==', 'true' )
                    ),
                    array(
                        'id'            => 'fp_scrollbar',
                        'type'          => 'radio',
                        'default'       => 'no',
                        'class'         => 'la-radio-style',
                        'title'         => esc_html__('Scroll Bar', 'sebian'),
                        'desc'          => esc_html__('This parameter determines whether to use the scrollbar for the site or not.', 'sebian'),
                        'options'       => Sebian_Options::get_config_radio_opts(false)
                    ),
                    array(
                        'id'            => 'fp_scrolloverflow',
                        'type'          => 'radio',
                        'default'       => 'no',
                        'class'         => 'la-radio-style',
                        'title'         => esc_html__('Scroll Overflow', 'sebian'),
                        'desc'          => esc_html__('This parameter defines whether or not to create a scroll for the section in case the content is bigger than the height of it.', 'sebian'),
                        'options'       => Sebian_Options::get_config_radio_opts(false)
                    ),
                    array(
                        'id'            => 'fp_hidescrollbars',
                        'type'          => 'radio',
                        'default'       => 'no',
                        'class'         => 'la-radio-style',
                        'title'         => esc_html__('Hide Scrollbars', 'sebian'),
                        'desc'          => esc_html__('This parameter hides scrollbar even if the scrolling is enabled inside the sections.', 'sebian'),
                        'options'       => Sebian_Options::get_config_radio_opts(false),
                        'dependency'    => array( 'fp_scrolloverflow_yes', '==', 'true' )
                    ),
                    array(
                        'id'            => 'fp_fadescrollbars',
                        'type'          => 'radio',
                        'default'       => 'no',
                        'class'         => 'la-radio-style',
                        'title'         => esc_html__('Fade Scrollbars', 'sebian'),
                        'desc'          => esc_html__('This parameter fades scrollbar when unused.', 'sebian'),
                        'options'       => Sebian_Options::get_config_radio_opts(false),
                        'dependency'    => array( 'fp_scrolloverflow_yes', '==', 'true' )
                    ),
                    array(
                        'id'            => 'fp_interactivescrollbars',
                        'type'          => 'radio',
                        'default'       => 'no',
                        'class'         => 'la-radio-style',
                        'title'         => esc_html__('Interactive Scrollbars', 'sebian'),
                        'desc'          => esc_html__('This parameter makes scrollbar draggable and user can interact with it.', 'sebian'),
                        'options'       => Sebian_Options::get_config_radio_opts(false),
                        'dependency'    => array( 'fp_scrolloverflow_yes', '==', 'true' )
                    ),
                    array(
                        'id'            => 'fp_bigsectionsdestination',
                        'type'          => 'select',
                        'title'         => esc_html__('Big Sections Destination', 'sebian'),
                        'desc'          => esc_html__('This parameter defines how to scroll to a section which size is bigger than the viewport.', 'sebian'),
                        'default'       => 'default',
                        'options'       => array(
                            'default'   => esc_html__('Default', 'sebian'),
                            'top'       => esc_html__('Top', 'sebian'),
                            'bottom'    => esc_html__('Bottom', 'sebian')
                        )
                    ),
                    array(
                        'id'            => 'fp_contvertical',
                        'type'          => 'radio',
                        'default'       => 'no',
                        'class'         => 'la-radio-style',
                        'title'         => esc_html__('Continuous Vertical', 'sebian'),
                        'desc'          => esc_html__('This parameter determines vertical scrolling is continuous.', 'sebian'),
                        'options'       => Sebian_Options::get_config_radio_opts(false)
                    ),
                    array(
                        'id'            => 'fp_loopbottom',
                        'type'          => 'radio',
                        'default'       => 'no',
                        'class'         => 'la-radio-style',
                        'title'         => esc_html__('Loop Bottom', 'sebian'),
                        'desc'          => esc_html__('This parameter determines whether to use the scrollbar for the site or not.', 'sebian'),
                        'options'       => Sebian_Options::get_config_radio_opts(false),
                        'dependency'    => array( 'fp_contvertical_no', '==', 'true' )
                    ),
                    array(
                        'id'            => 'fp_looptop',
                        'type'          => 'radio',
                        'default'       => 'no',
                        'class'         => 'la-radio-style',
                        'title'         => esc_html__('Loop Top', 'sebian'),
                        'desc'          => esc_html__('This parameter determines whether to use the scrollbar for the site or not.', 'sebian'),
                        'options'       => Sebian_Options::get_config_radio_opts(false),
                        'dependency'    => array( 'fp_contvertical_no', '==', 'true' )
                    ),
                    array(
                        'id'            => 'fp_loophorizontal',
                        'type'          => 'radio',
                        'default'       => 'yes',
                        'class'         => 'la-radio-style',
                        'title'         => esc_html__('Loop Slides', 'sebian'),
                        'desc'          => esc_html__('This parameter defines whether horizontal sliders will loop after reaching the last or previous slide or not.', 'sebian'),
                        'options'       => Sebian_Options::get_config_radio_opts(false)
                    ),
                    array(
                        'id'            => 'fp_easing',
                        'type'          => 'select',
                        'title'         => esc_html__('Easing', 'sebian'),
                        'desc'          => esc_html__('This parameter determines the transition effect.', 'sebian'),
                        'default'       => 'css3_ease',
                        'options'       => array(
                            'css3_ease'             => esc_html__('CSS3 - Ease', 'sebian'),
                            'css3_linear'           => esc_html__('CSS3 - Linear', 'sebian'),
                            'css3_ease-in'          => esc_html__('CSS3 - Ease In', 'sebian'),
                            'css3_ease-out'         => esc_html__('CSS3 - Ease Out', 'sebian'),
                            'css3_ease-in-out'      => esc_html__('CSS3 - Ease In Out', 'sebian'),
                            'js_linear'             => esc_html__('Linear', 'sebian'),
                            'js_swing'              => esc_html__('Swing', 'sebian'),
                            'js_easeInQuad'         => esc_html__('Ease In Quad', 'sebian'),
                            'js_easeOutQuad'        => esc_html__('Ease Out Quad', 'sebian'),
                            'js_easeInOutQuad'      => esc_html__('Ease In Out Quad', 'sebian'),
                            'js_easeInCubic'        => esc_html__('Ease In Cubic', 'sebian'),
                            'js_easeOutCubic'       => esc_html__('Ease Out Cubic', 'sebian'),
                            'js_easeInOutCubic'     => esc_html__('Ease In Out Cubic', 'sebian'),
                            'js_easeInQuart'        => esc_html__('Ease In Quart', 'sebian'),
                            'js_easeOutQuart'       => esc_html__('Ease Out Quart', 'sebian'),
                            'js_easeInOutQuart'     => esc_html__('Ease In Out Quart', 'sebian'),
                            'js_easeInQuint'        => esc_html__('Ease In Quint', 'sebian'),
                            'js_easeOutQuint'       => esc_html__('Ease Out Quint', 'sebian'),
                            'js_easeInOutQuint'     => esc_html__('Ease In Out Quint', 'sebian'),
                            'js_easeInExpo'         => esc_html__('Ease In Expo', 'sebian'),
                            'js_easeOutExpo'        => esc_html__('Ease Out Expo', 'sebian'),
                            'js_easeInOutExpo'      => esc_html__('Ease In Out Expo', 'sebian'),
                            'js_easeInSine'         => esc_html__('Ease In Sine', 'sebian'),
                            'js_easeOutSine'        => esc_html__('Ease Out Sine', 'sebian'),
                            'js_easeInOutSine'      => esc_html__('Ease In Out Sine', 'sebian'),
                            'js_easeInCirc'         => esc_html__('Ease In Circ', 'sebian'),
                            'js_easeOutCirc'        => esc_html__('Ease Out Circ', 'sebian'),
                            'js_easeInOutCirc'      => esc_html__('Ease In Out Circ', 'sebian'),
                            'js_easeInElastic'      => esc_html__('Ease In Elastic', 'sebian'),
                            'js_easeOutElastic'     => esc_html__('Ease Out Elastic', 'sebian'),
                            'js_easeInOutElastic'   => esc_html__('Ease In Out Elastic', 'sebian'),
                            'js_easeInBack'         => esc_html__('Ease In Back', 'sebian'),
                            'js_easeOutBack'        => esc_html__('Ease Out Back', 'sebian'),
                            'js_easeInOutBack'      => esc_html__('Ease In Out Back', 'sebian'),
                            'js_easeInBounce'       => esc_html__('Ease In Bounce', 'sebian'),
                            'js_easeOutBounce'      => esc_html__('Ease Out Bounce', 'sebian'),
                            'js_easeInOutBounce'    => esc_html__('Ease In Out Bounce', 'sebian')
                        )
                    ),
                    array(
                        'id'            => 'fp_scrollingspeed',
                        'type'          => 'number',
                        'default'       => 700,
                        'title'         => esc_html__('Scrolling Speed', 'sebian'),
                        'desc'          => esc_html__('Speed in miliseconds for the scrolling transitions.', 'sebian')
                    )
                )
            ),
            array(
                'id'            => 'fp_section_design',
                'type'          => 'fieldset',
                'title'         => esc_html__('Design', 'sebian'),
                'dependency'    => array( 'enable_fp_yes', '==', 'true' ),
                'wrap_class'    => 'la-fieldset-toggle',
                'un_array'      => true,
                'fields'        => array(
                    array(
                        'id'            => 'fp_verticalcentered',
                        'type'          => 'radio',
                        'default'       => 'yes',
                        'class'         => 'la-radio-style',
                        'title'         => esc_html__('Vertically Centered', 'sebian'),
                        'desc'          => esc_html__('This parameter determines whether to center the content vertically.', 'sebian'),
                        'options'       => Sebian_Options::get_config_radio_opts(false)
                    ),
                    array(
                        'id'        => 'fp_respwidth',
                        'type'      => 'slider',
                        'default'   => 0,
                        'title'     => esc_html__('Responsive Width', 'sebian' ),
                        'desc'      => esc_html__('Normal scroll will be used under the defined width in pixels. (autoScrolling: false)', 'sebian'),
                        'options'   => array(
                            'step'    => 1,
                            'min'     => 0,
                            'max'     => 1920,
                            'unit'    => 'px'
                        )
                    ),
                    array(
                        'id'        => 'fp_respheight',
                        'type'      => 'slider',
                        'default'   => 0,
                        'title'     => esc_html__('Responsive Height	', 'sebian' ),
                        'desc'      => esc_html__('Normal scroll will be used under the defined height in pixels. (autoScrolling: false)', 'sebian'),
                        'options'   => array(
                            'step'    => 1,
                            'min'     => 0,
                            'max'     => 5000,
                            'unit'    => 'px'
                        )
                    ),
                    array(
                        'id'        => 'fp_padding',
                        'type'      => 'spacing',
                        'title'     => esc_html__('Padding', 'sebian'),
                        'desc'      => esc_html__('Defines top/bottom padding for each section. Useful in case of using fixed header/footer', 'sebian'),
                        'unit' 	    => 'px',
                        'default'   => array(
                            'top' => 0,
                            'bottom' => 0
                        )
                    )
                )
            )
        )
    );
    return $sections;
}