<?php

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
    exit( 'Direct script access denied.' );
}


/**
 * Sidebar settings
 *
 * @param array $sections An array of our sections.
 * @return array
 */
function sebian_options_section_sidebar( $sections )
{
    $sections['sidebar'] = array(
        'name'          => 'sidebar_panel',
        'title'         => esc_html__('Sidebars', 'sebian'),
        'icon'          => 'fa fa-exchange',
        'sections' => array(
            array(
                'name'      => 'sidebar_add_section',
                'title'     => esc_html__('Add Sidebar', 'sebian'),
                'icon'      => 'fa fa-plus',
                'fields'    => array(
                    array(
                        'id'        => 'add_sidebars',
                        'type'      => 'group',
                        'title'     => esc_html__('Add New Sidebar', 'sebian'),
                        'button_title'    => esc_html__('Add','sebian'),
                        'accordion_title' => 'sidebar_id',
                        'fields'    => array(
                            array(
                                'id'        => 'sidebar_id',
                                'type'      => 'text',
                                'default'   => esc_html__('Sidebar ID', 'sebian'),
                                'title'     => esc_html__('Title', 'sebian')
                            ),
                            array(
                                'id'        => 'sidebar_desc',
                                'type'      => 'text',
                                'title'     => esc_html__('Description', 'sebian')
                            )
                        )
                    )
                )
            ),
            array(
                'name'      => 'sidebar_page_panel',
                'title'     => esc_html__('Pages', 'sebian'),
                'fields'    => array(
                    array(
                        'id'        => 'pages_global_sidebar',
                        'type'      => 'switcher',
                        'default'   => false,
                        'title'     => esc_html__('Activate Global Sidebar For Pages', 'sebian'),
                        'desc'      => esc_html__('Turn on if you want to use the same sidebars on all pages. This option overrides the page options.', 'sebian')
                    ),
                    array(
                        'id'             => 'pages_sidebar',
                        'type'           => 'select',
                        'title'          => esc_html__('Global Page Sidebar', 'sebian'),
                        'desc'           => esc_html__('Select sidebar that will display on all pages.', 'sebian'),
                        'class'          => 'chosen',
                        'options'        => 'sidebars',
                        'default_option' => esc_html__('None', 'sebian')
                    )
                )
            ),
            array(
                'name'      => 'sidebar_portfolio_posts_panel',
                'title'     => esc_html__('Portfolio Posts', 'sebian'),
                'fields'    => array(
                    array(
                        'id'        => 'portfolio_global_sidebar',
                        'type'      => 'switcher',
                        'default'   => false,
                        'title'     => esc_html__('Activate Global Sidebar For Portfolio Posts', 'sebian'),
                        'desc'      => esc_html__('Turn on if you want to use the same sidebars on all portfolio posts. This option overrides the portfolio post options.', 'sebian')
                    ),
                    array(
                        'id'             => 'portfolio_sidebar',
                        'type'           => 'select',
                        'title'          => esc_html__('Global Portfolio Post Sidebar', 'sebian'),
                        'desc'           => esc_html__('Select sidebar that will display on all portfolio posts.', 'sebian'),
                        'class'          => 'chosen',
                        'options'        => 'sidebars',
                        'default_option' => esc_html__('None', 'sebian')
                    )
                )
            ),
            array(
                'name'      => 'sidebar_portfolio_archive_panel',
                'title'     => esc_html__('Portfolio Archive', 'sebian'),
                'fields'    => array(
                    array(
                        'id'        => 'portfolio_archive_global_sidebar',
                        'type'      => 'switcher',
                        'default'   => false,
                        'title'     => esc_html__('Activate Global Sidebar For Portfolio Archive', 'sebian'),
                        'desc'      => esc_html__('Turn on if you want to use the same sidebars on all portfolio archive & taxonomy. This option overrides the portfolio options.', 'sebian')
                    ),
                    array(
                        'id'             => 'portfolio_archive_sidebar',
                        'type'           => 'select',
                        'title'          => esc_html__('Global Portfolio Archive Sidebar', 'sebian'),
                        'desc'           => esc_html__('Select sidebar that will display on all portfolio archive & taxonomy.', 'sebian'),
                        'class'          => 'chosen',
                        'options'        => 'sidebars',
                        'default_option' => esc_html__('None', 'sebian')
                    )
                )
            ),
            array(
                'name'      => 'sidebar_posts_panel',
                'title'     => esc_html__('Blog Posts', 'sebian'),
                'fields'    => array(
                    array(
                        'id'        => 'posts_global_sidebar',
                        'type'      => 'switcher',
                        'default'   => false,
                        'title'     => esc_html__('Activate Global Sidebar For Blog Posts', 'sebian'),
                        'desc'      => esc_html__('Turn on if you want to use the same sidebars on all blog posts. This option overrides the blog post options.', 'sebian')
                    ),
                    array(
                        'id'             => 'posts_sidebar',
                        'type'           => 'select',
                        'title'          => esc_html__('Global Blog Post Sidebar', 'sebian'),
                        'desc'           => esc_html__('Select sidebar that will display on all blog posts.', 'sebian'),
                        'class'          => 'chosen',
                        'options'        => 'sidebars',
                        'default_option' => esc_html__('None', 'sebian')
                    )
                )
            ),
            array(
                'name'      => 'sidebar_blog_post_panel',
                'title'     => esc_html__('Blog Archive', 'sebian'),
                'fields'    => array(
                    array(
                        'id'        => 'blog_archive_global_sidebar',
                        'type'      => 'switcher',
                        'default'   => false,
                        'title'     => esc_html__('Activate Global Sidebar For Blog Archive', 'sebian'),
                        'desc'      => esc_html__('Turn on if you want to use the same sidebars on all post category & tag. This option overrides the posts options.', 'sebian')
                    ),
                    array(
                        'id'             => 'blog_archive_sidebar',
                        'type'           => 'select',
                        'title'          => esc_html__('Global Blog Archive Sidebar', 'sebian'),
                        'desc'           => esc_html__('Select sidebar that will display on all post category & tag.', 'sebian'),
                        'class'          => 'chosen',
                        'options'        => 'sidebars',
                        'default_option' => esc_html__('None', 'sebian')
                    )
                )
            ),
            array(
                'name'      => 'sidebar_search_panel',
                'title'     => esc_html__('Search Page', 'sebian'),
                'fields'    => array(
                    array(
                        'id'             => 'search_sidebar',
                        'type'           => 'select',
                        'title'          => esc_html__('Search Page Sidebar', 'sebian'),
                        'desc'           => esc_html__('Select sidebar that will display on the search results page.', 'sebian'),
                        'class'          => 'chosen',
                        'options'        => 'sidebars',
                        'default_option' => esc_html__('None', 'sebian')
                    )
                )
            ),
            array(
                'name'      => 'sidebar_products_panel',
                'title'     => esc_html__('Woocommerce Products', 'sebian'),
                'fields'    => array(
                    array(
                        'id'        => 'products_global_sidebar',
                        'type'      => 'switcher',
                        'default'   => false,
                        'title'     => esc_html__('Activate Global Sidebar For WooCommerce Products', 'sebian'),
                        'desc'      => esc_html__('Turn on if you want to use the same sidebars on all WooCommerce products. This option overrides the WooCommerce post options.', 'sebian')
                    ),
                    array(
                        'id'             => 'products_sidebar',
                        'type'           => 'select',
                        'title'          => esc_html__('Global WooCommerce Product Sidebar', 'sebian'),
                        'desc'           => esc_html__('Select sidebar that will display on all WooCommerce products.', 'sebian'),
                        'class'          => 'chosen',
                        'options'        => 'sidebars',
                        'default_option' => esc_html__('None', 'sebian')
                    )
                )
            ),
            array(
                'name'      => 'sidebar_shop_panel',
                'title'     => esc_html__('Woocommerce Archive', 'sebian'),
                'fields'    => array(
                    array(
                        'id'        => 'shop_global_sidebar',
                        'type'      => 'switcher',
                        'default'   => false,
                        'title'     => esc_html__('Activate Global Sidebar For Woocommerce Archive', 'sebian'),
                        'desc'      => esc_html__('Turn on if you want to use the same sidebars on all WooCommerce archive( shop,category,tag,search ). This option overrides the WooCommerce taxonomy options.', 'sebian')
                    ),
                    array(
                        'id'             => 'shop_sidebar',
                        'type'           => 'select',
                        'title'          => esc_html__('Global WooCommerce Archive Sidebar', 'sebian'),
                        'desc'           => esc_html__('Select sidebar that will display on all WooCommerce taxonomy.', 'sebian'),
                        'class'          => 'chosen',
                        'options'        => 'sidebars',
                        'default_option' => esc_html__('None', 'sebian')
                    )
                )
            )
        )
    );
    return $sections;
}