<?php if ( ! defined( 'ABSPATH' ) ) { die; }

add_filter('LaStudio/global_loop_variable', 'sebian_set_loop_variable');
if(!function_exists('sebian_set_loop_variable')){
    function sebian_set_loop_variable( $var = ''){
        return 'sebian_loop';
    }
}

add_filter('lastudio/google_map_api', 'sebian_add_googlemap_api');
if(!function_exists('sebian_add_googlemap_api')){
    function sebian_add_googlemap_api( $key = '' ){
        return Sebian()->settings->get('google_key', $key);
    }
}

add_filter('sebian/filter/page_title', 'sebian_override_page_title_bar_title');
if(!function_exists('sebian_override_page_title_bar_title')){
    function sebian_override_page_title_bar_title( $title ){

        $_tmp = '<header><div class="page-title h1">%s</div></header>';

        $context = (array) Sebian()->get_current_context();

        if(in_array('is_singular', $context)){
            $custom_title = Sebian()->settings->get_post_meta( get_queried_object_id(), 'page_title_custom');
            if(!empty( $custom_title) ){
                return sprintf($_tmp, $custom_title);
            }
        }

        if(in_array('is_tax', $context) || in_array('is_category', $context) || in_array('is_tag', $context)){
            $custom_title = Sebian()->settings->get_term_meta( get_queried_object_id(), 'page_title_custom');
            if(!empty( $custom_title) ){
                return sprintf($_tmp, $custom_title);
            }
        }

        return $title;
    }
}

add_action( 'pre_get_posts', 'sebian_set_posts_per_page_for_portfolio_cpt' );
if(!function_exists('sebian_set_posts_per_page_for_portfolio_cpt')){
    function sebian_set_posts_per_page_for_portfolio_cpt( $query ) {
        if ( !is_admin() && $query->is_main_query() ) {
            if( is_post_type_archive( 'la_portfolio' ) || is_tax(get_object_taxonomies( 'la_portfolio' ))){
                $pf_per_page = (int) Sebian()->settings->get('portfolio_per_page', 9);
                $query->set( 'posts_per_page', $pf_per_page );
            }
        }
    }
}


add_action('wp', 'sebian_hook_maintenance');
if(!function_exists('sebian_hook_maintenance')){
    function sebian_hook_maintenance(){
        wp_reset_postdata();
        $enable_private = Sebian()->settings->get('enable_maintenance', 'no');
        if(false && $enable_private == 'yes'){
            if(!is_user_logged_in()){
                $page_id = Sebian()->settings->get('maintenance_page');
                if(empty($page_id)){
                    wp_redirect(wp_login_url());
                    exit;
                }
                else{
                    $page_id = absint($page_id);
                    if(!is_page($page_id)){
                        wp_redirect(get_permalink($page_id));
                        exit;
                    }
                }
            }
        }
    }
}