<?php

global $sebian_loop;

$blog_design = isset($sebian_loop['blog_design']) ? $sebian_loop['blog_design'] : 'grid';
$show_featured_image    = (Sebian()->settings->get('featured_images_blog') == 'on') ? true : false;
$show_format_content    = false;
$tmp_img_size           = Sebian_Helper::get_image_size_from_string(Sebian()->settings->get('blog_thumbnail_size', 'full'), 'full');
$thumbnail_size2        = Sebian_Helper::get_image_size_from_string(Sebian()->settings->get('blog_thumbnail_size2', 'full'), 'full');
$content_display_type   = ( Sebian()->settings->get('blog_content_display', 'excerpt') == 'excerpt') ? 'excerpt' : 'full';
$post_class             = array('loop-item','grid-item','post-item');
if($show_featured_image){
    $show_format_content    = (Sebian()->settings->get('format_content_blog') == 'on') ? true : false;
}

if($show_featured_image){
    $post_class[] = 'show-featured-image';
}else{
    $post_class[] = 'hide-featured-image';
}
if($show_format_content){
    $post_class[] = 'show-format-content';
}else{
    $post_class[] = 'hide-format-content';
}
if($content_display_type != 'full' && !Sebian()->settings->get('blog_excerpt_length')){
    $post_class[] = 'hide-excerpt';
}

$thumbnail_size = $tmp_img_size;

$loop_index = isset($sebian_loop['loop_index']) ? $sebian_loop['loop_index'] : 0;
$loop_index++;
$sebian_loop['loop_index'] = $loop_index;

$thumbnail_size = apply_filters('sebian/filter/blog/post_thumbnail', $thumbnail_size, $sebian_loop);
?>
<article <?php post_class($post_class); ?>>
    <div class="item-inner">
        <div class="item-inner-wrap">
            <?php
            if($show_featured_image){
                $flag_format_content = false;
                if($show_format_content){
                    switch(get_post_format()){
                        case 'link':
                            $link = Sebian()->settings->get_post_meta( get_the_ID(), 'format_link' );
                            if(!empty($link)){
                                printf(
                                    '<div class="entry-thumbnail format-link" %2$s><div class="format-content">%1$s</div><a class="post-link-overlay" href="%1$s"></a></div>',
                                    esc_url($link),
                                    ''
                                    /* has_post_thumbnail() ? 'style="background-image:url('.Sebian()->images->get_post_thumbnail_url(get_the_ID()).')"' : '' */
                                );
                                $flag_format_content = true;
                            }
                            break;
                        case 'quote':
                            $quote_content = Sebian()->settings->get_post_meta(get_the_ID(), 'format_quote_content');
                            $quote_author = Sebian()->settings->get_post_meta(get_the_ID(), 'format_quote_author');
                            $quote_background = Sebian()->settings->get_post_meta(get_the_ID(), 'format_quote_background');
                            $quote_color = Sebian()->settings->get_post_meta(get_the_ID(), 'format_quote_color');
                            if(!empty($quote_content)){
                                $quote_content = '<p class="format-quote-content">'. $quote_content .'</p>';
                                if(!empty($quote_author)){
                                    $quote_content .= '<span class="quote-author">'. $quote_author .'</span>';
                                }
                                $styles = array();
                                $styles[] = 'background-color:' . $quote_background;
                                $styles[] = 'color:' . $quote_color;
                                printf(
                                    '<div class="entry-thumbnail format-quote" style="%3$s"><div class="format-content">%1$s</div><a class="post-link-overlay" href="%2$s"></a></div>',
                                    $quote_content,
                                    get_the_permalink(),
                                    esc_attr( implode(';', $styles) )
                                );
                                $flag_format_content = true;
                            }

                            break;

                        case 'gallery':
                            $ids = Sebian()->settings->get_post_meta(get_the_ID(), 'format_gallery');
                            $ids = explode(',', $ids);
                            $ids = array_map('trim', $ids);
                            $ids = array_map('absint', $ids);
                            $__tmp = '';
                            if(!empty( $ids )){
                                foreach($ids as $image_id){
                                    $__tmp .= sprintf('<div><a href="%1$s">%2$s</a></div>',
                                        get_the_permalink(),
                                        Sebian()->images->get_attachment_image( $image_id, $thumbnail_size)
                                    );
                                }
                            }
                            if(has_post_thumbnail()){
                                $__tmp .= sprintf('<div><a href="%1$s">%2$s</a></div>',
                                    get_the_permalink(),
                                    Sebian()->images->get_post_thumbnail(get_the_ID(), $thumbnail_size )
                                );
                            }
                            if(!empty($__tmp)){
                                printf(
                                    '<div class="entry-thumbnail format-gallery"><div class="la-slick-slider" data-slider_config="%1$s">%2$s</div></div>',
                                    esc_attr(json_encode(array(
                                        'slidesToShow' => 1,
                                        'slidesToScroll' => 1,
                                        'dots' => false,
                                        'arrows' => true,
                                        'speed' => 300,
                                        'autoplay' => false,
                                        'prevArrow'=> '<button type="button" class="slick-prev"><i class="fa fa-chevron-left"></i></button>',
                                        'nextArrow'=> '<button type="button" class="slick-next"><i class="fa fa-chevron-right"></i></button>'
                                    ))),
                                    $__tmp
                                );
                                $flag_format_content = true;
                            }
                            break;

                        case 'audio':
                        case 'video':
                            $embed_source = Sebian()->settings->get_post_meta(get_the_ID(), 'format_embed');
                            $embed_aspect_ration = Sebian()->settings->get_post_meta(get_the_ID(), 'format_embed_aspect_ration');
                            if(!empty($embed_source)){
                                $flag_format_content = true;
                                printf(
                                    '<div class="entry-thumbnail format-embed"><div class="la-media-wrapper la-media-aspect-%2$s">%1$s</div></div>',
                                    $embed_source,
                                    esc_attr($embed_aspect_ration ? $embed_aspect_ration : 'origin')
                                );
                            }
                            break;
                    }
                }
                if(!$flag_format_content && has_post_thumbnail()){ ?>
                    <div class="entry-thumbnail blog-item-has-effect">
                        <a href="<?php the_permalink();?>">
                            <?php Sebian()->images->the_post_thumbnail(get_the_ID(), $thumbnail_size); ?>
                            <span class="pf-icon pf-icon-<?php echo get_post_format() ? get_post_format() : 'standard' ?>"></span>
                            <div class="item--overlay"></div>
                        </a>
                    </div>
                <?php
                }
            }
            ?>
            <div class="item-info clearfix">
                <?php
                if($blog_design != 'grid_2'){
                    sebian_entry_meta_item_category_list('');
                }
                ?>
                <header class="entry-header">
                    <?php the_title( sprintf( '<h2 class="entry-title"><a href="%s">', esc_url( get_the_permalink() ) ), '</a></h2>' ); ?>
                </header>

                <?php
                if($blog_design == 'grid_2'){
                    echo '<div class="entry-meta clearfix">';
                    sebian_entry_meta_item_postdate();
                    sebian_entry_meta_item_comment_post_link();
                    echo '</div>';
                }
                ?>
                <?php
                if($content_display_type != 'full'){
                    if( Sebian()->settings->get('blog_excerpt_length') ){
                        echo '<div class="entry-excerpt">';
                        the_excerpt();
                        echo '</div>';
                    }
                }
                else{
                    echo '<div class="entry-content">';
                    the_content( esc_html__( 'Continue reading', 'sebian' ) );
                    wp_link_pages( array(
                        'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'sebian' ) . '</span>',
                        'after'       => '</div>',
                        'link_before' => '<span>',
                        'link_after'  => '</span>',
                        'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'sebian' ) . ' </span>%',
                        'separator'   => '<span class="screen-reader-text">, </span>',
                    ) );
                    echo '</div>';
                }
                ?>
                <?php if($blog_design == 'grid_2'): ?>
                    <footer class="clearfix">
                        <a class="link-readmore" href="<?php the_permalink();?>"><?php esc_html_e('Read more', 'sebian'); ?></a>
                    </footer>
                <?php else: ?>
                    <footer class="entry-meta clearfix">
                        <?php
                        sebian_entry_meta_item_author();
                        sebian_entry_meta_item_postdate();
                        ?>
                        <?php if($blog_design == 'grid_4' || $blog_design == 'list_1'): ?>
                            <?php if($blog_design == 'list_1'){ echo '<div class="clearfix"></div>';} ?>
                            <a class="link-readmore" href="<?php the_permalink();?>"><?php esc_html_e('Read more', 'sebian'); ?></a>
                        <?php endif; ?>
                    </footer>
                <?php endif; ?>
            </div>
        </div>
    </div>
</article>