<?php

$header_layout = Sebian()->layout->get_header_layout();

$show_cart      = (Sebian_Helper::is_active_woocommerce() && Sebian()->settings->get('header_show_cart') == 'yes' && !Sebian()->settings->get('enable_shop_catalog_mode', false));
$show_wishlist  = (Sebian_Helper::is_active_woocommerce() && Sebian()->settings->get('header_show_wishlist') == 'yes' && function_exists('yith_wcwl_object_id'));
$show_search    = Sebian()->settings->get('header_show_search') == 'yes' ? true : false;

$show_header_top        = Sebian()->settings->get('enable_header_top');
$top_menu_language      = Sebian()->settings->get('header_top_menu_language');
$top_menu_quicklink     = Sebian()->settings->get('header_top_menu_access');
$custom_header_top_html = Sebian()->settings->get('use_custom_header_top');
$header_top_social      = Sebian()->settings->get('header_top_social') == 'yes' ? true : false;
?>
<header id="masthead" class="site-header">
    <div class="la-header-sticky-height"></div>
    <?php if($show_header_top == 'yes' || $show_header_top == 'custom' ): ?>
    <div class="site-header-top">
        <div class="container">
            <?php if($show_header_top == 'custom'):?>
                <?php echo Sebian_Helper::remove_js_autop($custom_header_top_html); ?>
            <?php else:?>
                <div class="header-top-left">
                    <?php
                        if(!empty($top_menu_language) && is_nav_menu($top_menu_language)){
                            wp_nav_menu(array(
                               'container' => false,
                                'menu' => $top_menu_language
                            ));
                        }
                    ?>
                </div>
                <div class="header-top-right">
                    <?php
                    if(!empty($top_menu_quicklink) && is_nav_menu($top_menu_quicklink)){
                        wp_nav_menu(array(
                            'container' => false,
                            'menu' => $top_menu_quicklink
                        ));
                    }
                    if($header_top_social){
                        sebian_get_social_media('default');
                    }
                    ?>
                </div>
            <?php endif;?>
        </div>
    </div>
    <?php endif; ?>
    <div class="site-header-inner">
        <div class="container">
            <div class="header-main clearfix">
                <div class="header-left">
                    <div class="site-branding">
                        <a href="<?php echo esc_url( home_url( '/'  ) ); ?>" rel="home">
                            <figure class="logo--normal"><?php Sebian()->layout->render_logo();?></figure>
                            <figure class="logo--transparency"><?php Sebian()->layout->render_transparency_logo();?></figure>
                        </a>
                    </div>
                </div>
                <div class="header-right">
                    <nav class="site-main-nav clearfix" data-container="#masthead .header-main">
                        <?php Sebian()->layout->render_main_nav();?>
                    </nav>
                    <?php if($header_layout == 1) { echo '<div class="header-quickaccess">'; } ?>
                    <?php if($show_search): ?>
                        <div class="header-toggle-search">
                            <a href="#"><i class="sebian-icon-zoom2"></i></a>
                        </div>
                    <?php endif; ?>
                    <?php
                    if($show_wishlist){
                        $wishlist_page_id = yith_wcwl_object_id( get_option( 'yith_wcwl_wishlist_page_id' ) );
                        if($wishlist_page_id){
                            printf(
                                '<div class="header-toggle-wishlist"><a href="%s"><i class="sebian-icon-favourite-28"></i></a></div>',
                                esc_url(get_the_permalink($wishlist_page_id))
                            );
                        }
                    }
                    ?>
                    <?php if($show_cart): ?>
                        <div class="header-toggle-cart">
                            <a href="<?php echo esc_url(wc_get_page_permalink('cart')) ?>"><i class="sebian-icon-bag"></i><span class="la-cart-count"><?php echo esc_html( WC()->cart->get_cart_contents_count() ) ?></span></a>
                            <div class="header_shopping_cart">
                                <div class="widget_shopping_cart_content">
                                    <div class="cart-loading"></div>
                                </div>
                            </div>
                        </div>
                    <?php endif; ?>
                    <?php if($header_layout == 1) { echo '</div>'; } ?>
                </div>
            </div>
        </div>
    </div>
</header>
<!-- #masthead -->