<?php
global $sebian_loop;
if(!isset($sebian_loop['loop_index'])){
    $sebian_loop['loop_index'] = 0;
}
$sebian_loop['loop_index']++;
$loop_id        = isset($sebian_loop['loop_id']) ? $sebian_loop['loop_id'] : uniqid('la-show-portfolios-');
$loop_index     = isset($sebian_loop['loop_index']) ? $sebian_loop['loop_index'] : 1;
$image_size     = isset($sebian_loop['image_size']) && !empty($sebian_loop['image_size']) ? $sebian_loop['image_size'] : 'full';
$title_tag      = isset($sebian_loop['title_tag']) && !empty($sebian_loop['title_tag']) ? $sebian_loop['title_tag'] : 'h3';
$post_class     = array('loop-item','grid-item','portfolio-item', 'item-overlay-effect');

$item_sizes     = !empty($sebian_loop['item_sizes']) ? $sebian_loop['item_sizes']: array();
$item_w         = 1;
$item_h         = 1;
if(!empty($item_sizes[$loop_index-1]['w']) && ( $_tmp_size = $item_sizes[$loop_index-1]['w'] )){
    $item_w = $_tmp_size;
}
if(!empty($item_sizes[$loop_index-1]['h']) && ( $_tmp_size = $item_sizes[$loop_index-1]['h'] )){
    $item_h = $_tmp_size;
}
if(!empty($item_sizes[$loop_index-1]['s'])){
    $thumbnail_size = $item_sizes[$loop_index-1]['s'];
}else{
    $thumbnail_size = $image_size;
}

$thumbnail_size = apply_filters('sebian/filter/portfolio/post_thumbnail', $thumbnail_size, $sebian_loop);

$thumbnail_url = Sebian()->images->get_post_thumbnail_url( get_the_ID(), $thumbnail_size);

?>
<div <?php post_class($post_class); ?> data-width="<?php echo esc_attr($item_w);?>" data-height="<?php echo esc_attr($item_h);?>">
    <div class="item-inner">
        <div class="item-thumb-cover">
            <div class="cover-img" style="background-image: url(<?php echo esc_url($thumbnail_url) ?>)">
                <a href="<?php the_permalink()?>" data-id="<?php the_ID()?>">
                    <img src="<?php echo esc_url($thumbnail_url) ?>" alt="<?php the_title_attribute()?>"/>
                </a>
            </div>
        </div>
        <div class="item--holder">
            <a class="item--link" href="<?php the_permalink()?>" data-id="<?php the_ID()?>"><span><?php the_title() ?></span></a>
            <div class="item--info">
                <a class="item--link" href="<?php the_permalink()?>" data-id="<?php the_ID()?>"><span><?php the_title() ?></span></a>
                <div class="entry-header">
                    <?php the_title( sprintf( '<%s class="entry-title">',$title_tag ), sprintf('</%s>', $title_tag) ); ?>
                </div>
                <div class="item--action">
                    <a class="la-popup" data-rel="pf:galley:<?php echo esc_attr($loop_id)?>" href="<?php echo esc_url(Sebian()->images->get_post_thumbnail_url( get_the_ID(), 'full')) ?>"><span class="fa-search"></span></a>
                    <a class="item-link" href="<?php the_permalink()?>"><span class="fa-link"></span></a>
                </div>
            </div>
        </div>
    </div>
</div>