<?php
global $sebian_loop;
$thumbnail_size     = !empty($sebian_loop['image_size']) ? $sebian_loop['image_size'] : 'thumbnail';
$title_tag      = !empty($sebian_loop['title_tag']) ? $sebian_loop['title_tag'] : 'h3';
$show_excerpt   = ( isset($sebian_loop['excerpt_length']) && 0 < absint($sebian_loop['excerpt_length']) ) ? true : false;

$post_class     = array('loop-item','grid-item','blog-post-item');
$post_class[]   = ( $show_excerpt ? 'show' : 'hide' ) .  '-excerpt';
?>
<article <?php post_class($post_class); ?>>
    <div class="item-inner">
        <div class="item-inner-wrap">
            <?php if(has_post_thumbnail()): ?>
                <div class="entry-thumbnail blog-item-has-effect">
                    <a href="<?php the_permalink();?>">
                        <?php Sebian()->images->the_post_thumbnail(get_the_ID(), $thumbnail_size); ?>
                        <span class="pf-icon pf-icon-link"></span>
                        <div class="item--overlay"></div>
                    </a>
                </div>
            <?php endif; ?>
            <div class="item-info clearfix">
                <?php
                sebian_entry_meta_item_category_list('');
                ?>
                <header class="entry-header">
                    <?php the_title( sprintf( '<%s class="entry-title"><a href="%s">',$title_tag, esc_url( get_the_permalink() ) ), sprintf('</a></%s>', $title_tag) ); ?>
                </header>
                <?php if($show_excerpt): ?>
                    <div class="entry-excerpt"><?php the_excerpt(); ?></div>
                <?php endif; ?>
                <footer class="entry-meta clearfix">
                    <?php
                    sebian_entry_meta_item_author();
                    sebian_entry_meta_item_postdate();
                    ?>
                </footer>
            </div>
        </div>
    </div>
</article>