<?php
global $sebian_loop;
$thumbnail_size = (isset($sebian_loop['image_size']) && !empty($sebian_loop['image_size']) ? $sebian_loop['image_size'] : 'thumbnail');
$title_tag      = (isset($sebian_loop['title_tag']) && !empty($sebian_loop['title_tag']) ? $sebian_loop['title_tag'] : 'h3');
$role           = Sebian()->settings->get_post_meta(get_the_ID(), 'role');
$post_class     = array('loop-item','grid-item','team-member-item');
?>
<article <?php post_class($post_class)?>>
    <div class="item-inner">
        <div class="item--image">
            <a href="javascript:;"><?php
                Sebian()->images->the_post_thumbnail(get_the_ID(), $thumbnail_size);
            ?><div class="item--overlay"></div></a>
        </div>
        <div class="item--info">
            <div class="item-info-inner">
                <?php
                printf(
                    '<%1$s class="%4$s"><a href="%2$s">%3$s</a></%1$s>',
                    esc_attr($title_tag),
                    'javascript:;',
                    get_the_title(),
                    'item--title'
                );
                if(!empty($role)){
                    printf(
                        '<p class="item--role">%s</p>',
                        esc_html($role)
                    );
                }
                ?>
                <div class="entry-excerpt"><?php
                    add_filter('excerpt_length', function(){
                        return 25;
                    }, 1010);
                    the_excerpt();
                    remove_all_filters('excerpt_length', 1010);
                ?></div>
                <?php Sebian()->template->member_social_template(get_the_ID()); ?>
            </div>
        </div>
    </div>
</article>