<?php

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
    exit( 'Direct script access denied.' );
}


/**
 * MetaBox
 *
 * @param array $sections An array of our sections.
 * @return array
 */
function sebian_metaboxes_section_portfolio( $sections )
{
    $sections['portfolio'] = array(
        'name'      => 'portfolio',
        'title'     => esc_html__('Portfolio', 'sebian'),
        'icon'      => 'laicon-file',
        'fields'    => array(
            array(
                'id'        => 'short_description',
                'type'      => 'textarea',
                'title'     => esc_html__('Short Description', 'sebian')
            ),
            array(
                'id'        => 'portfolio_design',
                'type'      => 'select',
                'title'     => esc_html__('Portfolio Single Design', 'sebian'),
                'options'    => array(
                    'inherit' => esc_html__('Inherit', 'sebian'),
                    '1' => esc_html__('Design 01', 'sebian'),
                    '2' => esc_html__('Design 02', 'sebian'),
                    'use_vc' => esc_html__('Show only post content', 'sebian')
                )
            ),
            array(
                'id'        => 'gallery',
                'type'      => 'gallery',
                'title'     => esc_html__('Gallery', 'sebian')
            ),
            array(
                'id'        => 'client',
                'type'      => 'text',
                'title'     => esc_html__('Client Name', 'sebian')
            ),
            array(
                'id'        => 'timeline',
                'type'      => 'text',
                'title'     => esc_html__('Date', 'sebian')
            ),
            array(
                'id'        => 'website',
                'type'      => 'text',
                'title'     => esc_html__('Website', 'sebian')
            )
        )
    );
    return $sections;
}