<?php

// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
    exit( 'Direct script access denied.' );
}


/**
 * Social Media settings
 *
 * @param array $sections An array of our sections.
 * @return array
 */
function sebian_options_section_social_media( $sections )
{
    $sections['social_media'] = array(
        'name'          => 'social_panel',
        'title'         => esc_html__('Social Media', 'sebian'),
        'icon'          => 'fa fa fa-share-alt',
        'sections' => array(
            array(
                'name'      => 'social_link_sections',
                'title'     => esc_html__('Social Media Links', 'sebian'),
                'icon'      => 'fa fa-share-alt',
                'fields'    => array(
                    array(
                        'id'        => 'social_links',
                        'type'      => 'group',
                        'title'     => esc_html__('Social Media Links', 'sebian'),
                        'desc'      => esc_html__('Social media links use a repeater field and allow one network per field. Click the "Add" button to add additional fields.', 'sebian'),
                        'button_title'    => esc_html__('Add','sebian'),
                        'accordion_title' => 'title',
                        'fields'    => array(
                            array(
                                'id'        => 'title',
                                'type'      => 'text',
                                'default'   => esc_html__('Title', 'sebian'),
                                'title'     => esc_html__('Title', 'sebian')
                            ),
                            array(
                                'id'        => 'icon',
                                'type'      => 'icon',
                                'default'   => 'fa fa-share',
                                'title'     => esc_html__('Custom Icon', 'sebian')
                            ),
                            array(
                                'id'        => 'link',
                                'type'      => 'text',
                                'default'   => '#',
                                'title'     => esc_html__('Link (URL)', 'sebian')
                            )
                        )
                    )
                )
            ),
            array(
                'name'      => 'social_sharing_sections',
                'title'     => esc_html__('Social Sharing Box', 'sebian'),
                'icon'      => 'fa fa-share-square-o',
                'fields'    => array(
                    array(
                        'id'        => 'sharing_facebook',
                        'type'      => 'switcher',
                        'default'   => false,
                        'title'     => esc_html__('Facebook', 'sebian'),
                        'desc'      => esc_html__('Turn on to display Facebook in the social share box.', 'sebian')
                    ),
                    array(
                        'id'        => 'sharing_twitter',
                        'type'      => 'switcher',
                        'default'   => false,
                        'title'     => esc_html__('Twitter', 'sebian'),
                        'desc'      => esc_html__('Turn on to display Twitter in the social share box.', 'sebian')
                    ),
                    array(
                        'id'        => 'sharing_reddit',
                        'type'      => 'switcher',
                        'default'   => false,
                        'title'     => esc_html__('Reddit', 'sebian'),
                        'desc'      => esc_html__('Turn on to display Reddit in the social share box.', 'sebian')
                    ),
                    array(
                        'id'        => 'sharing_linkedin',
                        'type'      => 'switcher',
                        'default'   => false,
                        'title'     => esc_html__('LinkedIn', 'sebian'),
                        'desc'      => esc_html__('Turn on to display LinkedIn in the social share box.', 'sebian')
                    ),
                    array(
                        'id'        => 'sharing_google_plus',
                        'type'      => 'switcher',
                        'default'   => false,
                        'title'     => esc_html__('Google+', 'sebian'),
                        'desc'      => esc_html__('Turn on to display Google+ in the social share box.', 'sebian')
                    ),
                    array(
                        'id'        => 'sharing_tumblr',
                        'type'      => 'switcher',
                        'default'   => false,
                        'title'     => esc_html__('Tumblr', 'sebian'),
                        'desc'      => esc_html__('Turn on to display Tumblr in the social share box.', 'sebian')
                    ),
                    array(
                        'id'        => 'sharing_pinterest',
                        'type'      => 'switcher',
                        'default'   => false,
                        'title'     => esc_html__('Pinterest', 'sebian'),
                        'desc'      => esc_html__('Turn on to display Pinterest in the social share box.', 'sebian')
                    ),
                    array(
                        'id'        => 'sharing_vk',
                        'type'      => 'switcher',
                        'default'   => false,
                        'title'     => esc_html__('VK', 'sebian'),
                        'desc'      => esc_html__('Turn on to display VK in the social share box.', 'sebian')
                    ),
                    array(
                        'id'        => 'sharing_email',
                        'type'      => 'switcher',
                        'default'   => false,
                        'title'     => esc_html__('Email', 'sebian'),
                        'desc'      => esc_html__('Turn on to display Email in the social share box.', 'sebian')
                    )
                )
            )
        )
    );
    return $sections;
}