<?php
get_header();

the_post();

$portfolio_style = Sebian()->settings->get('single_portfolio_design', '1');
$current_design = Sebian()->settings->get_post_meta(get_the_ID(), 'portfolio_design');
if(!empty($current_design) && $current_design != 'inherit'){
    $portfolio_style = $current_design;
}

do_action( 'sebian/action/before_render_main' ); ?>
<div id="main" class="site-main">
    <div class="container">
        <div class="row">
            <main id="site-content" class="<?php echo esc_attr(Sebian()->layout->get_main_content_css_class('col-xs-12 site-content'))?>">
                <div class="site-content-inner">

                    <?php do_action( 'sebian/action/before_render_main_inner' );?>

                    <div class="page-content">
                        <div class="single-post-content single-portfolio-content clearfix">
                            <?php

                            do_action( 'sebian/action/before_render_main_content' );

                            if($portfolio_style != 'use_vc'){
                                get_template_part('templates/portfolios/single/single', $portfolio_style);
                            }
                            else{
                                the_content();
                            }
                            do_action( 'sebian/action/after_render_main_content' );

                            ?>
                        </div>
                        <?php wp_reset_postdata(); ?>

                        <?php
                        $related_args = array(
                            'posts_per_page' => 3,
                            'post__not_in' => array( get_the_ID() )
                        );
                        $cats = wp_get_post_terms( get_the_ID(), 'la_portfolio_category' );
                        if ( is_array( $cats ) && isset( $cats[0] ) && is_object( $cats[0] ) ) {
                            $related_args['tax_query'][] = array(
                                'taxonomy' => 'la_portfolio_category',
                                'field'    => 'term_id',
                                'terms'    => array($cats[0]->term_id)
                            );
                        }

                        $related_query = new WP_Query($related_args);


                        if($related_query->have_posts()){

                            global $sebian_loop;

                            $loop_layout = 'grid';
                            $loop_style = 3;

                            $sebian_loop['loop_layout'] = $loop_layout;
                            $sebian_loop['loop_style'] = $loop_style;
                            $sebian_loop['responsive_column'] = Sebian()->settings->get('portfolio_column', array('xlg'=> 1, 'lg'=> 1,'md'=> 1,'sm'=> 1,'xs'=> 1));
                            $sebian_loop['image_size'] = Sebian_Helper::get_image_size_from_string(Sebian()->settings->get('portfolio_thumbnail_size', 'full'),'full');
                            $sebian_loop['title_tag'] = 'h4';
                            $sebian_loop['excerpt_length'] = 15;
                            $sebian_loop['item_gap'] = 30;

                            echo '<div class="la-portfolio-listing">';

                            ?>
                            <div class="related-project">
                                <div class="la-headings text-center">
                                    <h3 class="heading-tag text-uppercase"><?php esc_html_e('Related Project', 'sebian'); ?></h3>
                                    <div class="subheading-tag custom-subheading"><?php esc_html_e('You Must Have', 'sebian'); ?></div>
                                </div>
                            </div>
                            <?php

                            get_template_part("templates/portfolios/{$loop_layout}/start", $loop_style);

                            while($related_query->have_posts()){

                                $related_query->the_post();

                                get_template_part("templates/portfolios/{$loop_layout}/loop", $loop_style);

                            }

                            get_template_part("templates/portfolios/{$loop_layout}/end", $loop_style);

                            echo '</div>';
                        }
                        wp_reset_postdata();

                        ?>
                    </div>

                    <?php do_action( 'sebian/action/after_render_main_inner' );?>
                </div>
            </main>
            <!-- #site-content -->
            <?php get_sidebar();?>
        </div>
    </div>
</div>
<div class="clearfix"></div>
<div class="portfolio-nav">
    <div class="container-fluid">
        <div class="row">
            <div class="col-xs-6">
                <?php
                $prev = get_previous_post(false,'','la_portfolio_category');
                if(!empty($prev) && isset($prev->ID)){
                    if(has_post_thumbnail($prev->ID)){
                        printf(
                            '<a href="%s" style="%s"><span>%s</span></a>',
                            get_the_permalink($prev->ID),
                            'background-image: url('.esc_url( get_the_post_thumbnail_url($prev->ID) ).')',
                            get_the_title($prev->ID)
                        );
                    }
                }
                ?>
            </div>
            <div class="col-xs-6">
                <?php
                $next = get_next_post(false,'','la_portfolio_category');
                if(!empty($next) && isset($next->ID)){
                    if(has_post_thumbnail($next->ID)){
                        printf(
                            '<a href="%s" style="%s"><span>%s</span></a>',
                            get_the_permalink($next->ID),
                            'background-image: url('.esc_url( get_the_post_thumbnail_url($next->ID) ).')',
                            get_the_title($next->ID)
                        );
                    }
                }
                ?>
            </div>
        </div>
    </div>
</div>
<div class="clearfix"></div>
<!-- .site-main -->
<?php do_action( 'sebian/action/after_render_main' ); ?>
<?php get_footer();?>