<?php
$show_cart              = (Sebian_Helper::is_active_woocommerce() && (Sebian()->settings->get('header_show_cart', 'no') == 'yes')) ? true : false;
$show_search            = (Sebian()->settings->get('header_show_search', 'no') == 'yes') ? true : false;

$show_header_top        = Sebian()->settings->get('enable_header_top');
$top_menu_language      = Sebian()->settings->get('header_top_menu_language');
$top_menu_quicklink     = Sebian()->settings->get('header_top_menu_access');
$custom_header_top_html = Sebian()->settings->get('use_custom_header_top');
$header_top_social      = Sebian()->settings->get('header_top_social') == 'yes' ? true : false;
?>
<div class="site-header-mobile">
    <?php if($show_header_top == 'yes' || $show_header_top == 'custom' ): ?>
        <div class="site-header-top">
            <div class="container">
                <?php if($show_header_top == 'custom'):?>
                    <?php echo Sebian_Helper::remove_js_autop($custom_header_top_html); ?>
                <?php else:?>
                    <div class="header-top-left">
                        <?php
                        if(!empty($top_menu_language) && is_nav_menu($top_menu_language)){
                            wp_nav_menu(array(
                                'container' => false,
                                'menu' => $top_menu_language
                            ));
                        }
                        ?>
                    </div>
                    <div class="header-top-right">
                        <?php
                        if(!empty($top_menu_quicklink) && is_nav_menu($top_menu_quicklink)){
                            wp_nav_menu(array(
                                'container' => false,
                                'menu' => $top_menu_quicklink
                            ));
                        }
                        if($header_top_social){
                            sebian_get_social_media('default');
                        }
                        ?>
                    </div>
                <?php endif;?>
            </div>
        </div>
    <?php endif; ?>
    <div class="site-header-inner">
        <div class="container">
            <div class="header-main clearfix">
                <div class="header-left">
                    <div class="site-branding">
                        <a href="<?php echo esc_url( home_url( '/'  ) ); ?>" rel="home">
                            <figure><?php Sebian()->layout->render_mobile_logo();?></figure>
                        </a>
                    </div>
                </div>
                <div class="header-right">
                    <?php if($show_cart):?>
                    <div class="header-toggle-cart">
                        <a href="<?php echo esc_url(wc_get_page_permalink('cart')) ?>"><i class="sebian-icon-bag"></i><span class="la-cart-count"><?php echo esc_html( WC()->cart->get_cart_contents_count() ) ?></span></a>
                        <div class="header_shopping_cart">
                            <div class="widget_shopping_cart_content">
                                <div class="cart-loading"></div>
                            </div>
                        </div>
                    </div>
                    <?php endif; ?>
                    <div class="header-toggle-mobilemenu">
                        <a class="btn-mobile-menu-trigger menu-toggle-icon" href="#"><i class="fa-bars"></i></a>
                    </div>
                    <?php if($show_search): ?>
                    <form method="get" class="search-form" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
                        <input autocomplete="off" type="search" class="search-field" placeholder="<?php echo esc_attr_x( 'Search here&hellip;', 'placeholder', 'sebian' ); ?>" name="s" title="<?php echo esc_attr_x( 'Search for:', 'label', 'sebian' ); ?>" />
                        <button class="search-button" type="submit"><i class="sebian-icon-zoom"></i></button>
                        <?php if(Sebian_Helper::is_active_woocommerce()): ?>
                            <input type="hidden" name="post_type" value="product"/>
                        <?php endif; ?>
                    </form>
                    <?php endif; ?>
                </div>
                <div class="mobile-menu-wrap">
                    <div id="la_mobile_nav" class="dl-menuwrapper"></div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- .site-header-mobile -->