<?php
global $sebian_loop;
$thumbnail_size = (isset($sebian_loop['image_size']) && !empty($sebian_loop['image_size']) ? $sebian_loop['image_size'] : 'thumbnail');
$title_tag      = (isset($sebian_loop['title_tag']) && !empty($sebian_loop['title_tag']) ? $sebian_loop['title_tag'] : 'h3');
$role           = Sebian()->settings->get_post_meta(get_the_ID(), 'role');
$post_class     = array('loop-item','grid-item','team-member-item');
?>
<article <?php post_class($post_class)?>>
    <div class="item-inner">
        <div class="item--image">
            <a href="javascript:;"><?php
                Sebian()->images->the_post_thumbnail(get_the_ID(), $thumbnail_size);
            ?><div class="item--overlay"></div></a>
        </div>
        <div class="item--info">
            <div class="item-info-inner">
                <?php
                printf(
                    '<%1$s class="%4$s"><a href="%2$s">%3$s</a></%1$s>',
                    esc_attr($title_tag),
                    'javascript:;',
                    get_the_title(),
                    'item--title'
                );
                if(!empty($role)){
                    printf(
                        '<p class="item--role">%s</p>',
                        esc_html($role)
                    );
                }
                if(($skype = Sebian()->settings->get_post_meta(get_the_ID(), 'skype')) && !empty($skype)){
                    ?>
                    <div class="item--social member-social">
                        <a class="social-skype skype" href="skype:<?php echo esc_attr($skype)?>?chat"><i class="fa fa-skype"></i><span><?php echo esc_attr($skype)?></span></a>
                    </div>
                <?php
                }
                ?>
            </div>
        </div>
    </div>
</article>