<?php
/**
 * Single Product Up-Sells
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/up-sells.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( $upsells ) : ?>

    <?php
    $product_cols = shortcode_atts(
        array('xlg'=> 1, 'lg'=> 1,'md'=> 1,'sm'=> 1,'xs'=> 1, 'mb' => 1),
        Sebian()->settings->get('upsell_products_columns')
    );
    $design = Sebian()->settings->get('shop_catalog_grid_style', '1');
    $loopCssClass = array('products','grid-items');
    $loopCssClass[] = 'products-grid';
    $loopCssClass[] = 'products-grid-' . $design;
    foreach( $product_cols as $screen => $value ){
        $loopCssClass[]  =  sprintf('%s-grid-%s-items', $screen, $value);
    }
    ?>
    <div class="related-wrap">
        <div class="up-sells upsells related-product">
            <div class="row">
                <div class="col-xs-12">
                    <div class="la-headings text-center margin-bottom-50">
                        <h3 class="heading-tag text-uppercase"><?php esc_html_e( 'Related Products', 'sebian' ); ?></h3>
                        <div class="subheading-tag custom-subheading"><p><?php esc_html_e('You may also like&hellip; ','sebian'); ?></p></div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <ul class="<?php echo esc_attr(implode(' ', $loopCssClass)) ?>">

                        <?php foreach ( $upsells as $upsell ) : ?>

                            <?php
                            $post_object = get_post( $upsell->get_id() );

                            setup_postdata( $GLOBALS['post'] =& $post_object );

                            wc_get_template_part( 'content', 'product' ); ?>

                        <?php endforeach; ?>

                    </ul>
                </div>
            </div>
        </div>
    <div>

<?php endif;

wp_reset_postdata();